[DEFAULT]
debug = True

bind_host = 0.0.0.0
bind_port = 9292
delayed_delete = False
image_cache_dir = /var/lib/glance/image-cache/
log_file = /var/log/glance/api.log
registry_client_protocol = http
registry_host = 127.0.0.1
registry_port = 9191
scrub_time = 43200
scrubber_datadir = /var/lib/glance/scrubber
transport_url = rabbit://openstack:RABBIT_PASSWORD@10.42.42.20/
workers = 2

[database]
backend = sqlalchemy
connection = mysql+pymysql://glance:GLANCE_MYSQL_PASSWORD@10.42.42.20/glance

[keystone_authtoken]
auth_type = password
auth_uri = http://10.42.42.20:5000
auth_url = http://10.42.42.20:35357
project_domain_id = default
project_name = service
user_domain_id = default

username = glance
password = GLANCE_PASSWORD

memcached_servers = 10.42.42.20:11211

[paste_deploy]
config_file = /usr/share/glance/glance-api-dist-paste.ini
flavor = keystone

[glance_store]
default_store = file
filesystem_store_datadir = /var/lib/glance/images/
stores = file,http

[oslo_messaging_notifications]
driver = messagingv2
